Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1282062 - [abrt] torbrowser-launcher: http.py:163:urlparse:TypeError: url must be bytes, not unicode
Summary: [abrt] torbrowser-launcher: http.py:163:urlparse:TypeError: url must be bytes...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: torbrowser-launcher
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Mayr
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a794d6ec90bc543dcced5008a15...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-14 18:18 UTC by Steven Stern
Modified: 2015-11-23 23:19 UTC (History)
4 users (show)

Fixed In Version: torbrowser-launcher-0.2.2-1.fc23 torbrowser-launcher-0.2.2-1.fc22 torbrowser-launcher-0.2.2-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-23 20:54:43 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (1.71 KB, text/plain)
2015-11-14 18:18 UTC, Steven Stern
no flags Details
File: dso_list (74 bytes, text/plain)
2015-11-14 18:18 UTC, Steven Stern
no flags Details
File: environ (1.73 KB, text/plain)
2015-11-14 18:18 UTC, Steven Stern
no flags Details

Description Steven Stern 2015-11-14 18:18:13 UTC
Description of problem:
started browser. it reported an error downloading updates then crashed

Version-Release number of selected component:
torbrowser-launcher-0.2.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python2 /usr/bin/torbrowser-launcher
executable:     /usr/bin/torbrowser-launcher
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
http.py:163:urlparse:TypeError: url must be bytes, not unicode

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/torbrowser_launcher/launcher.py", line 313, in start
    self.run_task()
  File "/usr/lib/python2.7/site-packages/torbrowser_launcher/launcher.py", line 358, in run_task
    self.start_over()
  File "/usr/lib/python2.7/site-packages/torbrowser_launcher/launcher.py", line 644, in start_over
    self.start(None)
  File "/usr/lib/python2.7/site-packages/torbrowser_launcher/launcher.py", line 313, in start
    self.run_task()
  File "/usr/lib/python2.7/site-packages/torbrowser_launcher/launcher.py", line 342, in run_task
    self.download('tarball', self.common.paths['tarball_url'], self.common.paths['tarball_file'])
  File "/usr/lib/python2.7/site-packages/torbrowser_launcher/launcher.py", line 485, in download
    None)
  File "/usr/lib64/python2.7/site-packages/twisted/web/client.py", line 1926, in request
    deferred = self._agent.request(method, uri, headers, bodyProducer)
  File "/usr/lib/python2.7/site-packages/txsocksx/http.py", line 43, in request
    return self._wrappedAgent.request(*a, **kw)
  File "/usr/lib64/python2.7/site-packages/twisted/web/client.py", line 1557, in request
    parsedURI = URI.fromBytes(uri)
  File "/usr/lib64/python2.7/site-packages/twisted/web/client.py", line 606, in fromBytes
    scheme, netloc, path, params, query, fragment = http.urlparse(uri)
  File "/usr/lib64/python2.7/site-packages/twisted/web/http.py", line 163, in urlparse
    raise TypeError("url must be bytes, not unicode")
TypeError: url must be bytes, not unicode

Local variables in innermost frame:
url: u'https://dist.torproject.org/torbrowser/5.0.4/tor-browser-linux64-5.0.4_en-US.tar.xz'

Comment 1 Steven Stern 2015-11-14 18:18:15 UTC
Created attachment 1094104 [details]
File: backtrace

Comment 2 Steven Stern 2015-11-14 18:18:16 UTC
Created attachment 1094105 [details]
File: dso_list

Comment 3 Steven Stern 2015-11-14 18:18:17 UTC
Created attachment 1094106 [details]
File: environ

Comment 4 Fedora Update System 2015-11-15 15:10:42 UTC
torbrowser-launcher-0.2.2-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b1446d3a9f

Comment 5 Fedora Update System 2015-11-15 15:11:17 UTC
torbrowser-launcher-0.2.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7fcae013d4

Comment 6 Fedora Update System 2015-11-15 15:11:59 UTC
torbrowser-launcher-0.2.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d719cd6bfa

Comment 7 James Gallaher 2015-11-16 03:07:55 UTC
Another user experienced a similar problem:

Updated torbrowser-launcher.noarch 0.2.1-1.fc23.noarch, launched the program, and get an error SIGNATURE VERICATION FAILED! with the option to start to exit. When I click on start it says Downloading tarball, but not nothing downloads. So when I click on the exit button, it doesn't do anything. So I have to click on the windowed X button to close it out.

reporter:       libreport-2.6.3
cmdline:        /usr/bin/python2 /usr/bin/torbrowser-launcher
dso_list:       python-twisted-15.1.0-2.fc23.x86_64
executable:     /usr/bin/torbrowser-launcher
kernel:         4.2.5-300.fc23.x86_64
package:        torbrowser-launcher-0.2.1-1.fc23
reason:         http.py:163:urlparse:TypeError: url must be bytes, not unicode
runlevel:       N 5
type:           Python
uid:            1000

Comment 8 Fedora Update System 2015-11-16 04:51:01 UTC
torbrowser-launcher-0.2.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update torbrowser-launcher'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7fcae013d4

Comment 9 Fedora Update System 2015-11-16 05:53:24 UTC
torbrowser-launcher-0.2.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update torbrowser-launcher'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d719cd6bfa

Comment 10 Fedora Update System 2015-11-16 06:52:08 UTC
torbrowser-launcher-0.2.2-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update torbrowser-launcher'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b1446d3a9f

Comment 11 Fedora Update System 2015-11-23 20:54:27 UTC
torbrowser-launcher-0.2.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-11-23 22:49:38 UTC
torbrowser-launcher-0.2.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-11-23 23:19:25 UTC
torbrowser-launcher-0.2.2-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.